#
# spec file for package 915resolution (Version 0.5.2.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           915resolution
Url:            http://www.geocities.com/stomljen/

License:        Public Domain, Freeware
Group:          System/X11/Utilities
Provides:       855resolution
Obsoletes:      855resolution
AutoReqProv:    on
Version:        0.5.2.2
Release:        0.4
PreReq:         %insserv_prereq %fillup_prereq
Summary:        This software changes the resolution of an available vbios mode.
Source:         %name-0.5.2.tar.gz
Source2:        boot.videobios
Source3:        sysconfig.videobios
Patch:          915resolution.diff
Patch1:         965.diff
Patch2:         965GM.diff
Patch3:         9x5gme-g33.diff
ExclusiveArch:  %ix86 x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This software changes the resolution of an available vbios mode.

It patches only the RAM version of the video bios so the new resolution
is loose each time you reboot. If you want to set the resolution each
time you reboot and before to launch X, use your rc.local, local.start
... file of your Linux version.

915resolution supports the 845G, 855GM, 865G, 915G, 915GM, 945G, 945GM,
965G and 965GM chipsets.



Authors:
--------
    Steve Tomljenovic

%debug_package
%prep
%setup -n %name-0.5.2
%patch
%patch1
%patch2
%patch3
rm -f 915resolution

%build
%ifnarch ppc ppc64 s390 s390x
make
%endif

%install
%ifnarch ppc ppc64 s390 s390x
make install DESTDIR=$RPM_BUILD_ROOT
%endif
mkdir -p $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 %{S:2} $RPM_BUILD_ROOT/etc/init.d
install -m 644 %{S:3} $RPM_BUILD_ROOT/var/adm/fillup-templates
%if %suse_version < 1020
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -snf ../../sbin/915resolution $RPM_BUILD_ROOT/usr/sbin/855resolution
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt changes.log chipset_info.txt
%ifnarch ppc ppc64 s390 s390x
%if %suse_version < 1020
/usr/sbin/855resolution
%endif
/sbin/915resolution
%endif
/etc/init.d/boot.videobios
/var/adm/fillup-templates/*
%ifnarch ppc ppc64 s390 s390x

%post
%{fillup_and_insserv -f -y boot.videobios}
%{fillup_only -n videobios}
%endif

%changelog
* Thu Mar 27 2008 - sndirsch@suse.de
- bumped to version 0.5.2.2 (bnc #368865)
* Thu Mar 06 2008 - sndirsch@suse.de
- boot.videobios:
  * added boot.scpm to Should-Start (bnc #362124)
* Mon Jan 28 2008 - sndirsch@suse.de
- only build on %%ix86/x86_64
* Thu Jan 24 2008 - sndirsch@suse.de
- added "Provides: 855resolution" again (Bug #355826)
* Thu Nov 22 2007 - sndirsch@suse.de
- removed "Provides: 855resolution" since package renames for SPs
  are against our policy
* Mon Sep 03 2007 - sndirsch@suse.de
- 9x5gme-g33.diff:
  * added support for 945GME, 965GME, G33, Q35, Q33
* Wed May 02 2007 - sndirsch@suse.de
- 855resolution compatibility symlink needs to be in /usr/sbin
* Thu Apr 19 2007 - sndirsch@suse.de
- add 855resolution compatibility symlink for SUSE < 10.2
* Thu Apr 19 2007 - sndirsch@suse.de
- 965GM.diff: support for 965GM
* Fri Dec 01 2006 - sndirsch@suse.de
- fixed comment in sysconfig file (Bug #224528)
* Thu Oct 19 2006 - sndirsch@suse.de
- 965.diff: support for 965G/965Q/946GZ
* Tue Oct 10 2006 - sndirsch@suse.de
- created package
